package org.jboss.tests.jbpapp10767.webservices;

import javax.jws.WebMethod;
import javax.jws.WebService;
import javax.xml.ws.BindingType;
import javax.xml.ws.soap.SOAPBinding;

@WebService(serviceName="HelloWorld",
            targetNamespace="http://org.jboss.examples/HelloWorld",
            portName="HelloWorldPort",
            endpointInterface="org.jboss.tests.jbpapp10767.webservices.HelloWorldInterface"
            )
@BindingType(SOAPBinding.SOAP12HTTP_BINDING)
public class HelloWorld implements HelloWorldInterface{

	@Override
  @WebMethod()
	public String sayHello(String name) {
	    System.out.println("Hello " + name);
	    return "Hello " + name;
	}
}
